﻿using System.Threading;
using System.Threading.Tasks;
using InternshipSystem.Api.Queries;
using InternshipSystem.Api.Security;
using Microsoft.AspNetCore.Mvc;

namespace InternshipSystem.Api.Services
{
    public interface IInternshipService
    {
        Task<ActionResult> SubmitRegistration(RegistrationFormQuery registrationQuery, User user,
            CancellationToken cancellationToken);
        
        Task<ActionResult> AddDocumentToInternship(DocumentPublishRequest documentRequest, User user,
            CancellationToken cancellationToken);
    }
}